| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::fast_pool_allocator::rebind — Nested class rebind allows for transformation from fast_pool_allocator<T> to fast_pool_allocator<underline>. </underline>

## Synopsis

    // In header: <boost/pool/pool_alloc.hpp>

    // Nested class rebind allows for transformation from fast_pool_allocator<T> to fast_pool_allocator<underline>. </underline>
    template<typename U>
    struct rebind {
      // types
      typedef fast_pool_allocator< U, UserAllocator, Mutex, NextSize, MaxSize > other;
    };

## Description

Nested class rebind allows for transformation from fast_pool_allocator<T> to fast_pool_allocator<underline> via the member typedef other. </underline>